%CLEX5.M
%
%   Combines a version of preference specification 1
%   with technology specification 1 (pure endowments).
%   We amend the specification of technology to have a
%   small adjustment cost associated with consuming,
%   in order that the matrix [phic phig] be invertible.
%   The model is a version of Lucas's asset pricing model.
   
gamma=[0 0]'
deltak=0
thetak=0
deltah=0
thetah=0
lambda=0
pih=1
beta=.95
phic=[1 0]'
phig=[0 1]'
phii=[0 .0001]'
ub=[30 0]
ud=[5 1; 0 0]
a22=[1 0; 0 .8]
c2=[0 .8]'
x0=[0 0 1 0]'
