% hanex5.m
% Computes exercise of two separated hall economies, which are
% then permitted to link and to trade.
%  This is a modified version of hanex1 in which
%  we have activated a preference shock for the first agent.
%  First compute equilibria for the separated economies
bewl2ga
bewl2gb
% Next, compute equilibria for the two economies integrated
bewley2g
 c1=ya(:,1)+yb(:,1);
c2=z(:,3);
diff= c1-c2;
clg
plot(diff)
plot([ya(:,1),yb(:,1)]),title('consumption allocations in isolated econs'),...
plot([y1(:,1),y2(:,1)]),title('consump alloc in integrated econ'),pause,...
corrcoef([ya(:,1),yb(:,1)])   % Corr of consumption in isolated econs
corrcoef([y1(:,1),y2(:,1)]) %  Corr of consumption in integrated econs
capiso=ya(:,4)+yb(:,4);   %capital in isolated economies
plot(capiso),title('capital is isolated econs'),pause,meta hanex3
capint=y(:,5);   % capital in integerated economy
plot(capint),title('capial in integrated econ'),pause,meta hanex4
