%  hugo.m
%  creates hopenhayn economy
%  Two kinds of capital stock, one more durable than another (k1)
%  the second being less costly to adjust.
%  Lucas Prescott technology ( c = gam1 * k1 + gam2 * k2 + d )
%  Preference shock is a.r.
%  we compute impulse response to preference shock and store it
%  in z.

%a22=[1 0 0; 0 0 0; 0 0 .999];
%c2=[0 0 ;1 0; 0 1];
%ud=[5 0 0; 0 0 0 ; 0 0 0];
%ub=[30 0 1];

rho1=0;    %  a.r. parameter for endowment shock.
rho2=.98;   %  a.r. parameter for persistent part of preference shock
v0=1;v1=.8; v2=.8; v3=.6;   % parameters of move average part of prefer shock


a22=zeros(7);
a22(1,1)=1;
a22(2,2)=rho1;
a22(3,:)=[0 0 0 v1 v2 v3 0];
a22(5,4)=1;
a22(6,5)=1;
a22(7,7)=rho2;
c2=zeros(7,3);
c2(2,1)=1;
c2(3,2)=v0;
c2(4,2)=1;
c2(7,3)=2;
ud=zeros(3,7);
ud(1,:)=[5 1 0 0 0 0 0];
ub=[30 0 1 0 0 0 1];

phic=[1 0 0]';
phi1=3 ; phi2= 2.2;
phii=[0 0; phi1 0 ; 0 phi2];
phig=[0 0 ; -1 0; 0 -1];
gam1=.3; gam2=.3;
gamma=[ gam1 0 gam2; 0 0 0;0 0 0 ]
deltak=[.95 1 0; 0 0 0 ; 0 0 .7]; thetak=[0 0 ;1 0; 0 1];
lambda=0;pih=1;
deltah=0; thetah=0;
beta=.95;
nnc=5; solvea
steadst
x0=zs;
z1=aimpulse(ao,c,sk,2,20)         ;  % response to transitory pref shock
z2=aimpulse(ao,c,sk,3,20)         ;  % response to persistent prefer shock
y1=aimpulse(ao,c,si,2,20)
y2=aimpulse(ao,c,si,3,20)
