function[y]=jan25a(x)
% function[y]=jan25a(x)
%  first argument is R, second is c
%  jan25a(c) is the function whose zero is the value of c
%  that solves townsend model with seignorage
R=x(1)
c=x(2)

beta=.95;
g=.51;


%  u(c) = c^(1-delta)/(1-delta)

delta=3.5;   %logarithmic case
y=zeros(2,1);

y(1)=R-(1-c-g)/(1-c);
y(2)=(c/(1-g-c))^(-delta)-beta*R;

