%  jan25d.m
%  computes graph for determining equilibrium R, c for
%  Townsend model with seignorage
beta=.95;
g=.2;


%  u(c) = c^(1-delta)/(1-delta)

delta=.7;


c=[.25:.005:1-g];
s=ones(1:length(c));
rhs=(c./((1-g)*s- c)).^(-delta);
lhs=beta*((1-g)*s-c)./(s-c);
lhs=lhs';
rhs=rhs';
%plot(c',lhs),pause
%plot(c',rhs),pause
plot(c,[lhs rhs]),pause
!del town3.met
!del town3.ps

meta town3
!gpp town3 /dps


