% mo53.m   Test version of mo3.m
% function [f,x,xbar,xbartru]=mo3(mu,sig)
% function [f,x,xbar,xbartru] = mo3(mu,sig)
%  Creates distribution for Mo using a grid
xx=mu+(sig^2)/2;
xbartru=exp(xx);
%mu=3.8610;

%sig=1.1917;
%x=[.001:.6:6500];
%x=[.001:1:30000];
%x=[.001:1:30];
x=[.001:4:20000];
ns=max(size(x));
f=exp(-(log(x)-mu*ones(1,ns)).^2/(2*sig^2))./(x*sig*sqrt(2*pi));
fs=sum(f);
f=f./fs;
xb=f.*x;
xbar=sum(xb)       %  mean of x
