% school.m, version of  educate3.m for robust paper
%  Household production model of time to build skilled labor
%  for an explanation, see rosen10.tex

beta=1/1.05;



alpha1=.12
alpha2=.1;

phic=[1 1; alpha1 alpha2; 0 1];
phii=[0;0;-1];
phig=[0 1 0]';
  

%  The alpha's play the role of adjustment costs, or training
%  costs for new entrants.


deltak=0; thetak=1;


gamma=[0 0 0]';

delta=.95;

deltah=[delta  0 0 0 0 0;
       0 delta 1 0 0 0;
       0 0 0 1 0 0 ;
       0 0 0 0 1 0;
       0 0 0 0 0 1;
       0 0 0 0 0 0];
thetah=zeros(6,2);
thetah(1,1)=1; thetah(6,2)=1;


lam1=.5; lam2=.8;

%psi=.15;
psi=0;
%  psi is a `curvature' parameter for the production function

dist1=1; dist2=1;   % these are distastefullness parameters

%  dist1=0; dist2=0; 

%  to apply to the labor supply disutilties 
pih=zeros(4,2);

lambda=[lam1 lam2;
          -1 0;
           0 -1 ;
           psi psi];
           
lambda=[lambda zeros(4,4)];
  

a22=[1 0 0;
     0 0 0;
     0 0 0];


c2=[0 0;
    1 0;
    0 1];


ub=[200 0 1;
    0 0 0;
    0 0 0;
    0 0 0];

ud=[ 5 .5 0;
    0 0 0;
    0 0 0];

