%  larsinfl.m
%
%  generates hansen inflation example


gamma=.3;
alpha=.8;
az=[1  -alpha];
ay=[1 -1];
b=1;
z0=0;
y0=100;y1=101.5;
yy=[y0;y1];
se=.7;
mu=.98;
mu1=1.0091;
mu1=mu1^.5;
n=550;

trans=mu1.^[1:n];
trans=trans';
rand('normal');
u=se*rand(n,1);
u=u.*trans;
u=u+gamma*ones(n,1);
z=filter(b,az,u,z0);
y=filter(b,ay,z,y0);

plot(y),title('y'),pause
mut=mu.^[1:n];
mut=mut';
v=y.*mut;
plot(v),title('v'),pause

R=v(1:n-1)./v(2:n);

plot(R),title('R'),pause

return











phi=.5;
mu=.96;

x=zeros(n,1);

x(1)=5;
for i=2:n

x(i)= phi  + x(i-1) + u(i);

end

v=mu.^[1:n]'.*x;

plot(x),title('x'),pause
plot(v),title('v'),pause

ret=v(2:n)./v(1:n-1);
plot(ret),title('return on currency'),pause

