% Generates figures 11, 12a and 12b for chapter 3.
%  Computes aspects of a linear recursive equilibrium
clex11
%
echo off
solvea
disp('create arma repres for c,k, and mc')
sy=[sc;si]
ii=1
ni=40
%[num,den]=aarma(ao,c,sy,ii)
disp('create impulse response for c,k, and mc in response to endow. shock')
z=aimpulse(ao,c,sy,ii,40)
										
clg

%subplot(221),plot(z(:,1)),title('impulse response of c'),subplot(222),...
%plot(z(:,2)),title('impulse response of k'),subplot(223),plot(z(:,3)),...
%title('response of multiplier'),pause
clg
%subplot(221),plot(z),title('impulse response '),pause

v=[0 40 0 1]
axis(v)
jj=[0:38];
zz=z(2:40,:);
plot(jj,zz);
hold
plot(jj,zz,'*')
gtext('investment')
gtext('consumption'),pause
hold
meta fig11
axis
axis
%return
sy=[sc;si;sk;mc]
disp('simulate c, i, k, and mc')
t1=150
nt=150
asimul
clg



subplot(221),plot(y(:,1)),title('consumption'),subplot(222),plot(y(:,2)),...
title('investment'),subplot(223),plot(y(:,3)),title('capital'),...
subplot(224),plot(y(:,4)),title('shadow price'),pause
meta fig12a
clg
plot(y(:,1:2))  %  title('c and i'),pause
gtext('investment')
gtext('consumption'),pause
meta fig12b
axis
axis
return


disp('simulate asset prices')
ydata=y;
pay=sd(1,:)
asseta
clg
subplot(221),plot(y(:,3)),title('price of asset'),subplot(223),plot(y(:,4))...
,title('return on asset'),pause
										
sdata=y;
clg
subplot(221),plot(R1),title('one period price'),...
subplot(222),plot(R2),title('two period price'),...
subplot(223),plot(R5),title('five period price'),pause
										
