% run2fa.m  Generates figures for Lucas-Prescott model, asset pricing
% Generates figures 11, 12a and 12b for chapter 3.
%  Computes aspects of a linear recursive equilibrium
!rm fig6as1.met
!rm fig6as2.met
!rm fig6as3.met
!rm fig6as4.met
!rm fig6as1.ps
!rm fig6as2.ps
!rm fig6as3.ps
!rm fig6as4.ps

clex15a
%
echo off
solvea
nt=80;
t1=nt
sy=[sc;si]
%asimul
ydat=y;

disp('simulate asset prices')
%ydata=y;
pay=sd(1,:)
asseta
clg
plot(y(:,3)),pause
meta fig6as1
plot(y(:,4)),pause
meta fig6as2
plot(R1),pause
meta fig6as3
plot(R5),pause
meta fig6as4
!gpp fig6as1.met -dps
!gpp fig6as2.met -dps
!gpp fig6as3.met -dps
!gpp fig6as4.met -dps
return
subplot(221),plot(y(:,3)),title('price of asset'),subplot(223),plot(y(:,4))...
,title('return on asset'),pause
										
sdata=y;
clg
subplot(221),plot(R1),title('one period price'),...
subplot(222),plot(R2),title('two period price'),...
subplot(223),plot(R5),title('five period price'),pause
										
