
g2=zeros(cs);
g1=zeros(cs);
for i=1:cs
g1(i,tdecis1(i))=1;
g2(i,tdecis2(i))=1;
end
%   trans is the transition matrix from state at t (row)
%   to the state at t+1 (column) 
%   The eigenvector associated with the unit eigenvalue
%   of trans' is  the stationary distribution.  
trans=[ prob(1,1)*g1 prob(1,2)*g2; prob(2,1)*g1 prob(2,2)*g2];
trans=trans';
[v,d]=eig(trans);  
[dmax,idmax]=max(diag(d));
probst=v(:,idmax);
ss=sum(probst);
probst=probst/ss;

aa=decis(:);      %  vectorize the decision rule to be conformable
                  %  with probst

mean=probst'*aa;
lambda=zeros(cs,2);
lambda(:)=probst;         %  lambda is the measure over (k,s) pairs.
			  %  lambda has same dimensions as decis
