function[x]=taper(x,m)
%function[x]=taper(x,m)
%   Replaces the T x 1 vector x with a tapered version.  A trapazoidal
%   taper b is formed, and used to multiply the original x series.
%
%   SEE ALSO: LARRY, LARRY2
t=length(x);
b=[1/m:1/m:1+eps,ones(1,t-2*m),1:-1/m:1/m-eps]';
x=x.*b;
