function[f]=bhat(b);
% function [f] = bhat(b);
%  computes observationally equivalent value of beta (given a sigma)
%  b=beta
%

theta2=1;
sig=-.0015;

deltak=.95; gam=.1;






omega=((b-1)+sqrt((b-1)^2+4*sig*theta2))/(-2*sig*theta2);

rho=1+(theta2*sig*omega)/(1-sig*theta2*omega);


y=b*(deltak+gam)*rho;

f=1-y;

