%  betahat.m
%  computes function for betahat for observational equivalence

%
clear

blow=.93;
bhi=.95;

theta2=1;
sig=-.0008;

deltak=.95; gam=.1;
i=1;

for b=blow:.005:bhi;

omega=((b-1)+sqrt((b-1)^2+4*sig*theta2))/(-2*sig*theta2);

rho=1+(theta2*sig*omega)/(1-sig*theta2*omega);
y(i,2)=1;
y(i,1)=b*(deltak+gam)*rho;
i=i+1;
end
b=[blow:.005:bhi];
plot(b,y)
