% canon.m
%   computes canonical representation of preferences

deltah1=.8;
deltah=[1 0 0 -1 0;0 0 0 0 0;0 1 0 0 0;0 0 1 0 0;...
      (1-deltah1) 0 0 0 deltah1];

thetah=[1 1 0 0 0]';
lam1=1;
lambda=[lam1 0 0 0  0;
        0 0 0 0 -lam1];


pih=[ 0 0]';

A=deltah;
B=thetah;
Q=lambda'*lambda;
R=pih'*pih;
W=lambda'*pih;
 beta=.95;
[f,p]=olrp(beta,A,B,Q,R,W);
canon2
