%  educate3.m
%  Household production model of time to build skilled labor
%  for an explanation, see rosen10.tex

beta=1/1.05;



alpha1=.12
alpha2=.1;

phic=[1 1; alpha1 alpha2; 0 1];
phii=[0;0;-1];
phig=[0 1 0]';
  

%  The alpha's play the role of adjustment costs, or training
%  costs for new entrants.


deltak=0; thetak=1;


gamma=[0 0 0]';

delta=.97;

deltah=[delta  0 0 0 0 0;
       0 delta 1 0 0 0;
       0 0 0 1 0 0 ;
       0 0 0 0 1 0;
       0 0 0 0 0 1;
       0 0 0 0 0 0];
thetah=zeros(6,2);
thetah(1,1)=1; thetah(6,2)=1;


lam1=.5; lam2=.8;

%psi=.15;
psi=0;
%  psi is a `curvature' parameter for the production function

dist1=1; dist2=1;   % these are distastefullness parameters

%  dist1=0; dist2=0; 

%  to apply to the labor supply disutilties 
pih=zeros(4,2);

lambda=[lam1 lam2;
          -1 0;
           0 -1 ;
           psi psi];
           
lambda=[lambda zeros(4,4)];
  

a22=[1 0 0;
     0 .85 0;
     0 0 .75];


c2=[0 0;
    1 0;
    0 1];


ub=[200 0 1;
    0 0 0;
    0 0 0;
    0 0 0];

ud=[ 5 .5 0;
    0 0 0;
    0 0 0];

x0=ones(10,1);

solvea

nnc=8

steadst;

x0=zs;

nt=100; t1=100;

%  sy=[ms;ss;sc;sd];

swage=lambda'*ms;

sy=[swage;sh];


asimul

wages=y(:,1:2);

stocks=y(:,7:8);

% figure
plot(stocks),title('stocks of labor of two types')
% figure
plot(wages),title('rentals on two types of human capital')

return

figure


plot(y(:,1:3)),title('wages and price')
% print -dps educate1.ps
figure
plot(y(:,5:8)),title('output and supplies of labor')
figure
plot(y(:,2)./y(:,3)),title('unskilled-skilled wage ratio')
% print -dps educate2.ps
figure
plot(y(:,10)./y(:,11)),title('percentage of Stanford entries')
% print -dps educate3.ps

plot([y(:,2)./y(:,3) y(:,10)./y(:,11)]),title('wage and entry ratios'),pause
print -dps educate4.ps

plot([y(:,2:3) -y(:,6:7)]),title('wages and supplies of labor'),pause
print -dps educate5.ps



[lambdah,pihh]=canonpr(beta,lambda,pih,deltah,thetah);
