[lambdah1,pihh1]=canonpr(beta,lambda1,pih1,deltah1,thetah1);
[lambdah2,pihh2]=canonpr(beta,lambda2,pih2,deltah2,thetah2);

[ns1,nh1]=size(lambdah1);
[ns2,nh2]=size(lambdah2);

%AA=[deltah1 - (thetah1/pihh1)*lambdah1, zeros(nh1,nh2);...
%    zeros(nh2,nh1), deltah2 - (thetah2/pihh2)*lambdah2]


BB=[thetah1'/pihh1, zeros(ns1,ns2);...
   zeros(ns2,ns1), thetah2'/pihh2];

GG=[-(sqrt(alpha)*pihh1)\lambdah1, -(sqrt(1-alpha)*pihh2)\lambdah2];

HH=[- inv(sqrt(alpha)*pihh1), -inv(sqrt(1-alpha)*pihh2)];

AA=[deltah1-(thetah1/pihh1)*lambdah1,zeros(nh1,nh2);zeros(nh2,nh1),...
      deltah2-(thetah2/pihh2)*lambdah2];


[K,S]=kfilter(AA,GG,BB*BB',HH*HH',BB*HH')

Omega=GG*S*GG'+HH*HH';

r=chol(Omega);

rpih=inv(r');

Deltah=AA-K*GG;
Thetah=K;
Pih=rpih;
Lambdah=-rpih*GG;
