% show1
%
%  prepares some graphs for ec332
%
%  The polynomials a and b must be in memory;
%  a is the autoregressive polynomial in the form [1, -a_1, -a_2 ...];
%  b is the moving average polynomial in the form [b_0,  b_1, b_2 ... ] 
%


[sp,f]=show(b,a,128,' ');
clg
subplot(2,1,1)
semilogy(f(1:65),sp(1:65));title('spectrum')


u=randn(100,1);
y=filter(b,a,u);
subplot(2,1,2) 

plot(y),title('sample')




